declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<boolean>;
    type: {
        type: import('vue').PropType<"selected" | "all">;
        required: true;
    };
    loading: {
        type: import('vue').PropType<boolean>;
        required: true;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    save: (rerunManualTracking: boolean) => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<boolean>;
    type: {
        type: import('vue').PropType<"selected" | "all">;
        required: true;
    };
    loading: {
        type: import('vue').PropType<boolean>;
        required: true;
    };
}>> & Readonly<{
    onSave?: (rerunManualTracking: boolean) => any;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
